1

I am using a jailbroken iPhone 6 on iOS 9.2.

I have installed proxychains from here via Cydia and created a simple proxychains.conf file (containing http 10.0.0.5 8080) in the current folder.

I then try and run a command such as: proxychains4 -f proxychains.conf openssl s_client -showcerts -connect google.com:443

I get the following error:

[proxychains] config file found: proxychains.conf
[proxychains] preloading /usr/lib/libproxychains4.dylib
dyld: could not load inserted library '/usr/lib/libproxychains4.dylib' because no suitable image found.  Did find:
        /usr/lib/libproxychains4.dylib: mmap() error 22 at address=0x0017D000, size=0x00001000 segment=__DATA in Segment::map() mapping /usr/lib/libproxychains4.dylib

Trace/BPT trap: 5

I get the same error trying to run anything from proxychains, e.g. proxychains4 -f proxychains.conf ping 8.8.8.8

I then tried installing the version of proxychains from here (http:// cydia.radare.org/debs/) via Cydia and basically the same thing hapens

I separately installed GnuTLS from here (http:// apt.saurik.com/dists/tangelo/main/binary-iphoneos-arm/Packages) also via Cydia and when I try and run it gnutls-cli, I get a very similar error:

dyld: Library not loaded: /usr/lib/libgnutls.26.dylib
  Referenced from: /usr/bin/gnutls-cli
  Reason: no suitable image found.  Did find:
        /usr/lib/libgnutls.26.dylib: mmap() error 22 at address=0x001B1000, size=0x00005000 segment=__DATA in Segment::map() mapping /usr/lib/libgnutls.26.dylib
        /usr/lib/libgnutls.26.dylib: mmap() error 22 at address=0x00269000, size=0x00005000 segment=__DATA in Segment::map() mapping /usr/lib/libgnutls.26.dylib
Trace/BPT trap: 5

Can anyone shed any light on this?

  • 1
    It hasn't been updated since 2015, so it's likely just not supported on iOS 9. – Andrew Larsson Nov 10 '16 at 22:16
  • @AndrewLarsson , Are you refering to both proxychains and GnuTLS? They both seem to have a similar issue in two different applications, – tghosth Nov 20 '16 at 8:05
  • 1
    Yes, they're both old. There have been a lot of things that changed, so it's normal for these things to stop working. This same error occurs for other things that don't work on iOS 9. – Andrew Larsson Nov 21 '16 at 19:22

You must log in to answer this question.

Browse other questions tagged .